Bug 221132 - [HeapWalker] collapsing LinkedList$Entry chain is broken
[HeapWalker] collapsing LinkedList$Entry chain is broken
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.1
All All
: P3 (vote)
: 7.3
Assigned To: Tomas Hurka
issues@profiler
: JDK_1.7, VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-30 20:31 UTC by Tomas Hurka
Modified: 2013-07-04 07:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2012-10-30 20:31:50 UTC
Collapsing of LinkedList$Entry chain is broken in heap dumps taken from JDK 7 or newer. This regression was introduced by JDK bug #6897553 : LinkedList performance improvements.
Comment 1 Tomas Hurka 2012-10-31 15:25:07 UTC
Fixed in profiler-main

changeset:   237694:ad589ac5e427
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed Oct 31 16:23:28 2012 +0100
summary:     bugfix #221132, handle LinkedList$Node introduced in JDK7
Comment 2 Quality Engineering 2012-11-01 02:40:34 UTC
Integrated into 'main-golden', will be available in build *201211010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ad589ac5e427
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #221132, handle LinkedList$Node introduced in JDK7


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo